public class WatchTurnEndTimeController : TurnEndTimeController
{
	protected override bool IsTurnTimeDecrement
	{
		get
		{
			return false;
		}
		set
		{
		}
	}

	public WatchTurnEndTimeController(BattleManagerBase battleMgr, BattlePlayer battlePlayer, ITurnEndButtonUI turnEnd)
		: base(battleMgr, battlePlayer, turnEnd)
	{
	}

	protected override bool CompulsionTurnEnd()
	{
		return false;
	}

	protected override void UpdateTimerPosition(float timeDifference, bool isShowingAlert)
	{
	}
}
